Support Questions
Find answers, ask questions, and share your expertise

can we upgrade Atlas 0.6 to 0.7 on HDP 2.4.3 ? if yes please help me out the steps.

Solved Go to solution

can we upgrade Atlas 0.6 to 0.7 on HDP 2.4.3 ? if yes please help me out the steps.

Explorer
 
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: can we upgrade Atlas 0.6 to 0.7 on HDP 2.4.3 ? if yes please help me out the steps.

Mentor
@PARIVALLAL R

the only supported way you can get access to Atlas 0.7 is by upgrading HDP to 2.5. We do not support an in-place upgrade of individual components at this time. There is some work to bring that functionality into Ambari but we do not have any information on that yet specifically as it relates to Atlas.

View solution in original post

3 REPLIES 3
Highlighted

Re: can we upgrade Atlas 0.6 to 0.7 on HDP 2.4.3 ? if yes please help me out the steps.

Mentor
@PARIVALLAL R

the only supported way you can get access to Atlas 0.7 is by upgrading HDP to 2.5. We do not support an in-place upgrade of individual components at this time. There is some work to bring that functionality into Ambari but we do not have any information on that yet specifically as it relates to Atlas.

View solution in original post

Highlighted

Re: can we upgrade Atlas 0.6 to 0.7 on HDP 2.4.3 ? if yes please help me out the steps.

Explorer

@Artem Ervits

Thanks for your answer.....Could you please help me out on how to add & start of Atlas service in Ambari server on HDP-2.4.3.

NOTE:While trying to add Atlas from Ambari UI am getting Error,Ambari logs are below for your ref.:

06 Oct 2016 04:18:57,294 ERROR [pool-7-thread-6] ClusterImpl:2016 - Config inconsistency exists: unknown configType=application-properties

06 Oct 2016 04:18:57,294 ERROR [pool-7-thread-6] ClusterImpl:2016 - Config inconsistency exists: unknown configType=atlas-env

06 Oct 2016 04:18:57,294 ERROR [pool-7-thread-7] ClusterImpl:2016 - Config inconsistency exists: unknown configType=application-properties

06 Oct 2016 04:18:57,294 ERROR [pool-7-thread-7] ClusterImpl:2016 - Config inconsistency exists: unknown configType=atlas-env

Highlighted

Re: can we upgrade Atlas 0.6 to 0.7 on HDP 2.4.3 ? if yes please help me out the steps.

Mentor

@PARIVALLAL R I recommend you check ambari database for atlas information, here's similar question https://community.hortonworks.com/questions/33679/error-config-inconsistency-exists-unknown-configty...

I would delete the service and try to add it again, if it's your first time adding Atlas, you may have a bad install, here's a "dirty" way of cleaning up database after bad install https://community.hortonworks.com/questions/11792/ambari-config-inconsistency-issue.html

Here's a way to add Atlas in 2.4.3 manually https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.4.3/bk_installing_manually_book/content/ch_inst...

Consider opening a new question with this issue as we're moving off topic here.